PWD(1) | General Commands Manual | PWD(1)

# NAME

`pwd` —
return working directory name

# SYNOPSIS

`pwd` | [`-LP`]

# DESCRIPTION

`pwd` writes the absolute pathname of the current working directory to the standard output.

The following options are available:

`-L`
  If the `PWD` environment variable is an absolute pathname that contains neither "/./" nor "/../" and references the current directory, then `PWD` is assumed to be the name of the current directory.
`-P`
  Print the physical path to the current working directory, with symbolic links in the path resolved.

The default for the `pwd` command is `-P`.

`pwd` is usually provided as a shell builtin (which may have a different default).

# EXIT STATUS

The `pwd` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

cd(1), csh(1), ksh(1), sh(1), getcwd(3)

# STANDARDS

The `pwd` utility is expected to be conforming to IEEE Std 1003.1 (“POSIX.1”), except that the default is `-P` not `-L`.

# HISTORY

A `pwd` utility appeared in Version 5 AT&T UNIX.

# BUGS

In csh(1) the command `dirs` is always faster (although it can give a different answer in the rare case that the current directory or a containing directory was moved after the shell descended into it).

`pwd` `-L` relies on the file system having unique inode numbers. If this is not true (e.g., on FAT file systems) then `pwd` `-L` may fail to detect that `PWD` is incorrect.

August 12, 2016 | NetBSD 9.0